### Function

# FwupdPlugin xmlb_builder_insert_kb

since: 1.6.0

#### Declaration [src]

    void
    fu_xmlb_builder_insert_kb (
      XbBuilderNode* bn,
      const gchar* key,
      gboolean value
    )

#### Description [src]

Convenience function to add an XML node with a boolean value.

Available since: 1.6.0

#### Parameters

`bn`

  Type: `XbBuilderNode`

  `XbBuilderNode`.

  The data is owned by the caller of the function.

`key`

  Type: `const gchar*`

  String key.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `gboolean`

  Boolean value.